# This file demonstrates all available theme configuration options for Vicinae.
# You don't need to define all of these: only override what you want to customize.
# Undefined colors will be automatically derived from core colors or inherited from base themes.
#
# Check out the full documentation at https://docs.vicinae.com/theming/getting-started

[meta]
name = "cyberqueer"
description = "Default Vicinae dark palette"
variant = "dark"                              # "dark" | "light": impacts what icon to show in some circumstances

[colors.core]
accent = "#E40046"
accent_foreground = "#D6ABAB"
background = "#1a1a1a"
foreground = "#D6ABAB"
secondary_background = "#4F1A2F"
border = "#5018DD"

[colors.main_window]
border = "#5018DD"
footer = { background = "colors.core.secondary_background" }

[colors.settings_window]
border = "#5018DD"

[colors.accents]
blue = "#E40046"
green = "#3a9c61"
magenta = "#bc8cff"
orange = "#f0883e"
red = "#F50505"
yellow = "#bfae78"
cyan = "#18a5b3"
purple = "#bc8cff"

# For now, shortcuts cannot have their own dedicated background
[colors.shortcut]
border = "colors.core.border"

[colors.text]
default = "colors.core.foreground"
muted = "#D6ABAB"
danger = "#F50505"
success = "#E40046"
placeholder = "#D6ABAB"
selection = { background = "#E40046", foreground = "#D6ABAB" }

[colors.text.links]
default = "#E40046"
visited = "#5018DD"

[colors.input]
border = "#5018DD"
border_focus = "#E40046"
border_error = "#F50505"

[colors.button.primary]
background = "#5018DD"
foreground = "#D6ABAB"
hover = { background = "#bb5018DD" }
focus = { outline = "colors.core.accent" }

[colors.list.item.selection]
background = "#5018DD"
foreground = "#D6ABAB"
secondary_background = "#5018DD"
secondary_foreground = "#D6ABAB"

[colors.grid.item]
background = "#4F1A4F"
hover = { outline = "#D6ABAB" }
selection = { outline = "#D6ABAB" }

[colors.scrollbars]
background = "#5018DD"

[colors.loading]
bar = "#D6ABAB"     # shown right below the search bar when something is loading
spinner = "#D6ABAB" # used by dynamic toasts
